rte_gre_hdr(3)

NAME
rte_gre_hdr

SYNOPSIS

#include <rte_gre.h>

  Data Fields

uint16_t res2:4
uint16_t s:1
uint16_t k:1
uint16_t res1:1
uint16_t c:1
uint16_t ver:3
uint16_t res3:5
rte_be16_t proto

Detailed Description

GRE Header

Definition at line 26 of file rte_gre.h.

Field Documentation

  uint16_t res2
Reserved

Definition at line 28 of file rte_gre.h.

  uint16_t s
Sequence Number Present bit

Definition at line 29 of file rte_gre.h.

  uint16_t k
Key Present bit

Definition at line 30 of file rte_gre.h.

  uint16_t res1
Reserved

Definition at line 31 of file rte_gre.h.

  uint16_t c
Checksum Present bit

Definition at line 32 of file rte_gre.h.

  uint16_t ver
Version Number

Definition at line 33 of file rte_gre.h.

  uint16_t res3
Reserved

Definition at line 34 of file rte_gre.h.

  rte_be16_t proto
Protocol Type

Definition at line 44 of file rte_gre.h.

Author

Generated automatically by Doxygen for DPDK from the source code.